package com.sdtool.common.entity.mall;

import com.sdtool.common.entity.base.BaseEntity;
import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

import java.math.BigDecimal;

/**
 * @Author: xl Created on 2024-05-11
 * @Content: 商城用户级别
 */
public class MallUserLevel extends BaseEntity {

    @Comment("")
    @RColumn("id")
    @ApiPlace("MallUserLevel_Edit")
    @ApiPlace("MallUserLevel_Void")
    @ApiPlace("MallUserLevel_Get")
    private long id;

    @Comment("级别名称")
    @RColumn("levelname")
    @ApiPlace("MallUserLevel_Add")
    @ApiPlace("MallUserLevel_Edit")
    private String levelName;

    @Comment("级别值")
    @RColumn("levelvalue")
    @ApiPlace("MallUserLevel_Add")
    @ApiPlace("MallUserLevel_Edit")
    private BigDecimal levelValue;

    @Comment("禁用标记")
    @RColumn("voidflag")
    @ApiPlace("MallUserLevel_Void")
    private int voidFlag;

    @Comment("检查文件 0 不检查、1检查")
    @RColumn("checkfileflag")
    private int checkFileFlag;

    @Comment("显示报价明细 0不显示 1显示")
    @RColumn("viewpricedetailflag")
    private int viewPriceDetailFlag;

    @Comment("过期天数")
    @RColumn("expiredays")
    private int expireDays;

    @Comment("过期后降级对应的级别")
    @RColumn("iddowngradelevel")
    private long idDowngradeLevel;

    @Comment("过期后降级对应的级别")
    private String downgradeLevelName;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public BigDecimal getLevelValue() {
        return levelValue;
    }

    public void setLevelValue(BigDecimal levelValue) {
        this.levelValue = levelValue;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public int getCheckFileFlag() {
        return checkFileFlag;
    }

    public void setCheckFileFlag(int checkFileFlag) {
        this.checkFileFlag = checkFileFlag;
    }

    public int getViewPriceDetailFlag() {
        return viewPriceDetailFlag;
    }

    public void setViewPriceDetailFlag(int viewPriceDetailFlag) {
        this.viewPriceDetailFlag = viewPriceDetailFlag;
    }

    public int getExpireDays() {
        return expireDays;
    }

    public void setExpireDays(int expireDays) {
        this.expireDays = expireDays;
    }

    public long getIdDowngradeLevel() {
        return idDowngradeLevel;
    }

    public void setIdDowngradeLevel(long idDowngradeLevel) {
        this.idDowngradeLevel = idDowngradeLevel;
    }

    public String getDowngradeLevelName() {
        return downgradeLevelName;
    }

    public void setDowngradeLevelName(String downgradeLevelName) {
        this.downgradeLevelName = downgradeLevelName;
    }
}
